import java.io.*;
import java.util.*;
public class main {
    public static void main (String[] args) throws Exception
    {
        Scanner in = new Scanner (new File("quotient.in"));
        PrintWriter out = new PrintWriter ( new File("quotient.out"));
        long a=in.nextInt();
        long b=in.nextInt();
        int c=0;
        if(b==0){
            out.println("Na nol' delit' nel'zya!!!");
        }
        else{
            while(a>=b)
            {
                a=a-b;
                c=c+1;
            }
            out.println(c);
        }
        in.close();
        out.close();
    }
}
